PUT
https://api.applivery.io/v1/organizations/{organizationId}/notifications/{organizationNotificationId}
curl -X PUT "https://api.applivery.io/v1/organizations/{organizationId}/notifications/{organizationNotificationId}" \
-H "Authorization: Bearer <YOUR_API_KEY>" \
-H "Content-Type: application/json" \
-d '{
"description": "string",
"events": {
"buildCreated": true,
"buildProcessed": true,
"feedbackCreated": true,
"certificateWillExpire": true,
"applePushRenovation": true,
"emmEnrollmentCreated": true,
"emmDeviceCreated": true,
"emmDeviceChangedMdmUser": true,
"admEnrollmentCreated": true,
"admDeviceCreated": true,
"admDeviceChangedMdmUser": true,
"winEnrollmentCreated": true,
"winDeviceCreated": true,
"winDeviceChangedMdmUser": true,
"aosEnrollmentCreated": true,
"aosDeviceCreated": true,
"aosDeviceChangedMdmUser": true,
"inventoryItemRegistered": true
},
"setup": {
"webhook": {}
}
}'const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/notifications/{organizationNotificationId}", {
method: "PUT",
headers: {
Authorization: "Bearer <YOUR_API_KEY>",
"Content-Type": "application/json",
},
body: JSON.stringify({
"description": "string",
"events": {
"buildCreated": true,
"buildProcessed": true,
"feedbackCreated": true,
"certificateWillExpire": true,
"applePushRenovation": true,
"emmEnrollmentCreated": true,
"emmDeviceCreated": true,
"emmDeviceChangedMdmUser": true,
"admEnrollmentCreated": true,
"admDeviceCreated": true,
"admDeviceChangedMdmUser": true,
"winEnrollmentCreated": true,
"winDeviceCreated": true,
"winDeviceChangedMdmUser": true,
"aosEnrollmentCreated": true,
"aosDeviceCreated": true,
"aosDeviceChangedMdmUser": true,
"inventoryItemRegistered": true
},
"setup": {
"webhook": {}
}
}),
});
const data = await response.json();import requests
response = requests.put(
"https://api.applivery.io/v1/organizations/{organizationId}/notifications/{organizationNotificationId}",
headers={"Authorization": "Bearer <YOUR_API_KEY>"},
json={
"description": "string",
"events": {
"buildCreated": true,
"buildProcessed": true,
"feedbackCreated": true,
"certificateWillExpire": true,
"applePushRenovation": true,
"emmEnrollmentCreated": true,
"emmDeviceCreated": true,
"emmDeviceChangedMdmUser": true,
"admEnrollmentCreated": true,
"admDeviceCreated": true,
"admDeviceChangedMdmUser": true,
"winEnrollmentCreated": true,
"winDeviceCreated": true,
"winDeviceChangedMdmUser": true,
"aosEnrollmentCreated": true,
"aosDeviceCreated": true,
"aosDeviceChangedMdmUser": true,
"inventoryItemRegistered": true
},
"setup": {
"webhook": {}
}
},
)
data = response.json()Request
Send your API key in the request header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
organizationNotificationId
string
required
Body Params
application/json
description
string
optional
events
object
required
buildCreated
any
optional
buildProcessed
any
optional
feedbackCreated
any
optional
certificateWillExpire
any
optional
applePushRenovation
any
optional
emmEnrollmentCreated
any
optional
emmDeviceCreated
any
optional
emmDeviceChangedMdmUser
any
optional
admEnrollmentCreated
any
optional
admDeviceCreated
any
optional
admDeviceChangedMdmUser
any
optional
winEnrollmentCreated
any
optional
winDeviceCreated
any
optional
winDeviceChangedMdmUser
any
optional
aosEnrollmentCreated
any
optional
aosDeviceCreated
any
optional
aosDeviceChangedMdmUser
any
optional
inventoryItemRegistered
any
optional
setup
object
optional
webhook
object
optional
url
string
required
{
"description": "string",
"events": {
"buildCreated": true,
"buildProcessed": true,
"feedbackCreated": true,
"certificateWillExpire": true,
"applePushRenovation": true,
"emmEnrollmentCreated": true,
"emmDeviceCreated": true,
"emmDeviceChangedMdmUser": true,
"admEnrollmentCreated": true,
"admDeviceCreated": true,
"admDeviceChangedMdmUser": true,
"winEnrollmentCreated": true,
"winDeviceCreated": true,
"winDeviceChangedMdmUser": true,
"aosEnrollmentCreated": true,
"aosDeviceCreated": true,
"aosDeviceChangedMdmUser": true,
"inventoryItemRegistered": true
},
"setup": {
"webhook": {
"url": "string"
}
}
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
string
required
organization
string
required
description
string
optional
type
string
required
config
object
optional
slack
object
optional
webhook
object
optional
events
object
required
buildCreated
any
optional
buildProcessed
any
optional
feedbackCreated
any
optional
certificateWillExpire
any
optional
applePushRenovation
any
optional
emmEnrollmentCreated
any
optional
emmDeviceCreated
any
optional
emmDeviceChangedMdmUser
any
optional
admEnrollmentCreated
any
optional
admDeviceCreated
any
optional
admDeviceChangedMdmUser
any
optional
winEnrollmentCreated
any
optional
winDeviceCreated
any
optional
winDeviceChangedMdmUser
any
optional
aosEnrollmentCreated
any
optional
aosDeviceCreated
any
optional
aosDeviceChangedMdmUser
any
optional
inventoryItemRegistered
any
optional
updatedAt
string
required
createdAt
string
required
{
"status": true,
"data": {
"id": "string",
"organization": "string",
"description": "string",
"type": "slack",
"config": {
"slack": {
"team": "string",
"channel": "string"
},
"webhook": {
"url": "string",
"token": "string"
}
},
"events": {
"buildCreated": true,
"buildProcessed": true,
"feedbackCreated": true,
"certificateWillExpire": true,
"applePushRenovation": true,
"emmEnrollmentCreated": true,
"emmDeviceCreated": true,
"emmDeviceChangedMdmUser": true,
"admEnrollmentCreated": true,
"admDeviceCreated": true,
"admDeviceChangedMdmUser": true,
"winEnrollmentCreated": true,
"winDeviceCreated": true,
"winDeviceChangedMdmUser": true,
"aosEnrollmentCreated": true,
"aosDeviceCreated": true,
"aosDeviceChangedMdmUser": true,
"inventoryItemRegistered": true
},
"updatedAt": "string",
"createdAt": "string"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}